function y=plotstate(long,lat,state,s)
% Y=PLTSTATE(LONG,LAT,STATE)
% contours a state vector (005C)
x=reshape(state,length(lat),length(long));
[lat,long,x]=coarse2fine(lat,long,x,64,128,8);
long=long(:);lat=lat(:);
plong=[(long(1)-8*(long(2)-long(1)):long(2)-long(1):2*long(1)-long(2))'; long];
plat=[(lat(1)-8*(lat(2)-lat(1)):lat(2)-lat(1):2*lat(1)-lat(2))'; lat];
x=[x(length(lat)-7:length(lat),:);x];
x=[x(:,length(long)-7:length(long)) x];
if exist('s')==0, c=cntour(plong,plat,x);
else c=cntour(plong,plat,x,s); end
